Page MenuHomePhabricator

Site request: Enable lead paragraph on user namespace for Dutch Wikipedia
Closed, ResolvedPublic

Description

In the main article namespace on mobile, paragraphs are positioned above infoboxes. This is not the case on the draft namespace. The inconsistency between the draft and published article is inconsistent and this is confusing.

Originally reported in T211063 on Dutch wikipedia there was a discussion on https://nl.wikipedia.org/wiki/Help:Helpdesk#Plaatsing_infobox (Dutch) about how the mobile website displays the infobox. It was concluded the infobox is indeed placed at the first empty line, that was confirmed by Krinkle. However, on the 'Kladblok' (Dutch for draft) this didn't happen, confusing the editor first.

Thanks to T211063 the namespaces that lead paragraph works in can be enabled on the draft namespace using $wgMFNamespacesWithLeadParagraphs

Acceptance criteria

Apply something similar to the following incomplete configuration

 $wgMFNamespacesWithLeadParagraphs = [
  'etwiki' => [ 0, 102],
  'fawiki' => [0, 118],
  'hewiki' => [0, 118],
]

Developer notes

  • The draft namespace number varies based on the project.
  • Not every project has the draft namespace

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable lead paragraph in user namespace on nlwiki

Event Timeline

Jdlrobson created this task.Jan 6 2020, 9:37 PM
Jdlrobson removed BrandonXLF as the assignee of this task.Jan 6 2020, 9:40 PM
Jdlrobson added a project: patch-welcome.
Jdlrobson added a subscriber: BrandonXLF.

I don't know much about what enables the draft namespace and how namespace differs across wikis but nlwiki should go ahead and enable this per their request. I'm not sure how to fix this for all projects using the draft namespace however.

Change 562486 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Enable lead paragraph in draft namespace on nlwiki

https://gerrit.wikimedia.org/r/562486

For the Dutch wikipedia there isn't a draft namespace, but it is common for people to create draft articles as subpages of their userpage, where 'Kladblok' is the most common one, and a link to it has been provided in the interface. So for there it would needs enabling on the User: (Gebruiker:) namespace. As Krinkle already commented that should not pose any problems.

Most projects use 118, very few use something else, although (ideally) they should also use 118

// 118
'zhwiki' => [ 118 => 'Draft' ] // T91223
'+enwiki' => [ 118 => 'Draft' ] // T59569
'+fawiki' => [ 118 => 'Draft' ] // T92760
'+hewiki' => [ 118 => 'Draft' ] // T223472
'+knwiki' => [ 118 => 'Draft' ] // T223472
'+kowiki' => [ 118 => 'Draft' ] // T223472
'+newiki' => [ 118 => 'Draft' ] // T223472
'+srwiki' => [ 118 => 'Draft' ] // T223472
'+urwiki' => [ 118 => 'Draft' ] // T223472
'testwiki' => [ 118 => 'Draft' ] // T198143
'+hiwikiversity' => [ 118 => 'Draft' ] // T187535
'enwikiversity' => [  118 => 'Draft', ] // T184957


// Non-118
'+zh_classicalwiki' => [ 'Draft' => 106 ] // T223472
'+etwiki' => [ 'Draft' => 102 ] // T223472 
'chapcomwiki' => [ 100 => 'Draft', ] // T66123

For the Dutch wikipedia there isn't a draft namespace

Ohh, I was just about to comment that after posting above comment. I realised there's no draft namespace there, but @Jdlrobson said this should be enabled for nlwiki in T242030#5779673

Now @Jdlrobson what should be done? Should the allowed namespace be switched to 0 and 2 ( NS_USER ) or wait for draft namespace to be created?

Jdlrobson added a comment.EditedJan 7 2020, 3:12 PM

Per @Akoopal it should be enabled for the user namespace on that wiki with a note pointing to this task (sorry for the confusion about the draft namespace - that was my misunderstanding).

Jdlrobson renamed this task from Enable lead paragraph on draft namespace. to Site request: Enable lead paragraph on user namespace for Dutch Wikipedia.Feb 4 2020, 1:00 PM

Change 562486 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable lead paragraph in user namespace on nlwiki

https://gerrit.wikimedia.org/r/562486

Mentioned in SAL (#wikimedia-operations) [2020-03-03T00:28:19Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T242030 Enable lead paragraph in user namespace on nlwiki (duration: 00m 56s)

Jdlrobson closed this task as Resolved.Tue, Mar 3, 12:48 AM
Jdlrobson claimed this task.

Tested on nl.wiki User:Jdlrobson/draft